This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 149669 - Intel Pro 1000 MT NIC doesn't work with Foundry FastIron switch
Intel Pro 1000 MT NIC doesn't work with Foundry FastIron switch
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 17:23 EST by brian atkisson
Modified: 2011-11-03 13:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 13:17:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian atkisson 2005-02-24 17:23:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
I have 3 Dell PowerEdge 2850 servers.  The on-board NIC (Intel Pro 1000 MT) doesn't auto-negotiate correctly with a Foundry Networks FastIron 2+ switch at gig full-duplex.  The NIC works fine with 10/100 ports; however, I don't even get a link light using the gigabit-only ports (the gig ports only support gigabit full-duplex).  Manually setting the NIC to gig/full-duplex (using ethtool) does not resolve the problem, nor does disabling auto-negotiation.

I suspected it was a driver problem.  I loaded Windows 2000 on the same box and installed the latest Intel drivers.  The same symptoms occurred at first under Windows, then I configured the driver and set 'Gigabit Master Slave Mode' to 'Force Master Mode' and the link came up.

I am not aware if the RHEL driver has a similar 'Force Master Mode' flag. I also experience this problem with RHEL4 as well as RHEL3u4.



Version-Release number of selected component (if applicable):
kernel- 2.6.9-5.0.3.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. install RHEL3/4
2. plug NIC into Foundry FastIron 2+ switch
3.
  

Actual Results:  no link light, NIC does not pass traffic

Expected Results:  link light & NIC to work

Additional info:

Note You need to log in before you can comment on or make changes to this bug.